<template>
    <block type="page-feedbacks" v-bind="params">
        <div class="container">
            <div class="page-feedbacks__content">
                <card-feedback 
                v-for="(item, index) in itemsVisible" 
                :key="index" 
                :index="index" 
                :item="item"  
                v-show="(index + 1) > ((pagination.currentPage - 1) * pagination.perPage) && (index + 1) <= (pagination.currentPage * pagination.perPage)"
                ></card-feedback>
            </div>
            <div class="page-feedbacks__footer pagination">
                <div class="pagination__items" v-if="(itemsCount / pagination.perPage) > 1">
                    <button 
                    :class="{active: pagination.currentPage == page}" 
                    v-for="page in Math.ceil((itemsCount / pagination.perPage))" 
                    :key="page" 
                    @click="pagination.currentPage = page; scrollToStart()"
                    >{{ page }}</button>
                </div>
            </div>
        </div>
    </block>
</template>

<script>
import SmoothScroll from "smooth-scroll";

export default {
    props: {
        content: {
            type: Object,
            default: () => {
                return {
                    feedbacks: require('@js/samples').default.load('feedback', 5)
                }
            }
        },
        params: {
            type: Object,
            default: () => {
                return {}
            }
        }
    },
    data() {
        return {
            itemsVisible: null,
            itemsCount: 0,
            pagination: {
                perPage: 12,
                currentPage: 1
            }
        }
    },
    methods: {
        scrollToStart: () => {
            (new SmoothScroll()).animateScroll(document.querySelector('.section-page-feedbacks'));
        }
    },
    mounted () {
        this.itemsCount = this.content.feedbacks.length;
        this.itemsVisible = this.content.feedbacks;
    },
}
</script>